# Uses of Interface
waffle.servlet.spi.SecurityFilterProvider

Packages that use SecurityFilterProvider
Package
Description
waffle.servlet.spi
Waffle JNA Servlet SPI Package.

## Uses of SecurityFilterProvider in waffle.servlet.spi

Classes in waffle.servlet.spi that implement SecurityFilterProvider
Modifier and Type
Class
Description
`class`
`BasicSecurityFilterProvider`
A Basic authentication security filter provider. https://tools.ietf.org/html/rfc2617
`class`
`NegotiateSecurityFilterProvider`
A negotiate security filter provider.
Methods in waffle.servlet.spi that return SecurityFilterProvider
Modifier and Type
Method
Description
`SecurityFilterProvider`
SecurityFilterProviderCollection.`getByClassName(String name)`
Get a security provider by class name.
Constructors in waffle.servlet.spi with parameters of type SecurityFilterProvider
Modifier
Constructor
Description
``
`SecurityFilterProviderCollection(SecurityFilterProvider[] providerArray)`
Instantiates a new security filter provider collection.